Subject: bug#1174 closed by Stefan Monnier <[email-masked]> (Re: bug#1174: 23.0.60; Some UTF-8 mails displaying wrongly in Emacs 23)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#1174: 23.0.60; Some UTF-8 mails displaying wrongly in Emacs 23

It has been closed by Stefan Monnier <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Stefan Monnier <[email-masked]> by
replying to this email.

-- 
1174: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1174
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Thu Dec  4 13:57:41 2008
From: Stefan Monnier <[email-masked]>
To: [email-masked]
Subject: Re: bug#1174: 23.0.60; Some UTF-8 mails displaying wrongly in Emacs 23
Date: Thu, 04 Dec 2008 16:57:36 -0500

>> Oh, that's clever: yes, the mapconcat/char-to-string dance does make it
>> implement the string-to-multibyte behavior because doing the
>> string-as-multibyte conversion one byte at a time avoids the
>> problematic case.  
> Good.  So I think you can close this bug.  Thanks.

OK, done,

        Stefan

>From [email-masked] Wed Oct 15 13:21:56 2008
Date: Wed, 15 Oct 2008 22:21:21 +0200
From: Frank Schmitt <[email-masked]>
To: [email-masked]
Subject: 23.0.60; Some UTF-8 mails displaying wrongly in Emacs 23
Reply-to: [email-masked]

Gnus in Emacs 23 displays some German umlauts incorrectly while Gnus
in Emacs 22 displays the same message correctly. It only happens when
my boss uses thunderbird to reply to my UTF-8 mails from Gnus.

In Emacs 23 in the mail from my boss I get
Char: =EF=BF=BD (4194300, #o17777774, #x3ffffc, raw-byte) point=3D212 of =
461 (46%) column=3D4
and the character is displayed as \374
In an other UTF-8 mail written by me it is
Char: =C3=BC (252, #o374, #xfc, file ...) point=3D493 of 940 (52%) column=
=3D0

In Emacs 22 when I do C-x =3D on the same character in the mail from my
boss as above I get
Char: =C3=BC (2300, #o4374, #x8fc, file ...) point=3D212 of 461 (46%) col=
umn=3D4
and in the other mail
Char: =C3=BC (2300, #o4374, #x8fc, file ...) point=3D493 of 940 (52%) col=
umn=3D0

I could reproduce with CVS head from this evening, minimal .gnus just
specifying the select method and emacs -q.

In GNU Emacs 23.0.60.2 (i686-pc-linux-gnu, GTK+ Version 2.12.8)
 of 2008-10-15 on glasgow.frank-schmitt.net
Windowing system distributor `The X.Org Foundation', version 11.0.1030000=
0
configured using `configure  '--prefix=3D/opt/emacs23''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: de_DE.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Group

Minor modes in effect:
  gnus-undo-mode: t
  show-paren-mode: t
  delete-selection-mode: t
  pc-selection-mode: t
  recentf-mode: t
  iswitchb-mode: t
  shell-dirtrack-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> M-x g n u s <return> <down> C-u 1 0 <return>=20
<up> <up> <return> t <return> <return> <return> <return>=20
<return> <return> <return> <return> <return> <return>=20
<return> <return> <return> <return> <return> <return>=20
<return> <return> <return> <return> <return> <return>=20
<return> <return> <return> <return> <return> <return>=20
<return> <return> <return> <return> <return> <return>=20
<return> <return> <return> <return> <return> <return>=20
<return> <return> <return> <return> <return> <return>=20
<return> <return> <return> <return> <return> <return>=20
<return> <return> <return> <return> <return> <down>=20
<return> <down-mouse-1> <mouse-1> C-x =3D <help-echo>=20
<help-echo> <help-echo> <down-mouse-2> <mouse-2> <help-echo>=20
<down-mouse-1> <mouse-1> <right> <left> C-x =3D <help-echo>=20
<down-mouse-1> <drag-mouse-1> <help-echo> <help-echo>=20
<down-mouse-1> <mouse-1> <home> <S-end> <C-insert>=20
<down> <home> <S-end> <C-insert> <help-echo> <down-mouse-1>=20
<mouse-movement> <mouse-1> <help-echo> q <return> <return>=20
SPC q L <up> <up> <up> <up> <up> <up> <up> <up> <up>=20
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>=20
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up>=20
<down> <down> <down> <down> M-x e m a <tab> b u <tab>=20
<backspace> <backspace> <backspace> <backspace> <backspace>=20
<backspace> <backspace> <backspace> b u g <tab> <backspace>=20
<backspace> <backspace> <backspace> <backspace> <backspace>=20
<backspace> <backspace> <backspace> <backspace> <backspace>=20
<backspace> <backspace> <backspace> r e p <tab> o <tab>=20
r <tab> <return>

Recent messages:
IMAP mailbox `Uni' closed... OK
Retrieving newsgroup: nnimap+ltw:Uni...
nnimap: Updating info for nnimap+ltw:Uni...done
Fetching headers for nnimap+ltw:Uni...done
Scoring...done
Generating summary...done
nnimap: Setting marks in Uni...done
No more unread newsgroups
IMAP mailbox `Uni' closed... OK
Making completion list... [2 times]